%global momorel 2

Summary: python module for parted
Name: pyparted
Version: 1.8.5
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
Source0: http://people.redhat.com/dcantrel/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: parted >= 1.8.2
BuildRequires: parted-devel >= 1.8.6, python-devel
#Requires: python = %(/usr/bin/python -c 'import sys; print sys.version[:5]')
Requires: python >= 2.5
Obsoletes: parted-python
Provides: parted-python

%description
Python modules for the parted library.  It is used for manipulation
partition tables.

%prep
%setup -q

%build
export CFLAGS="-fPIC"
if [ ! -x configure ]; then
        ./autogen.sh --with-python-version=2.5
fi
%configure --with-python-version=%(/usr/bin/python -c "import sys; print sys.version[:3]")
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/python?.?/site-packages/*.so

%changelog
* Sun Jun 17 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.8.5-2m)
- rebuild against parted-1.8.6

* Wed Feb 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.5-1m)
- update
- rebuild against parted-1.8.2

* Tue Jan 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.3-1m)
- update 1.8.3
-- fix "glibc detected" error

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.3-5m)
- rebuild against python-2.5

* Sun Nov 19 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.7.3-4m)
- rebuild against db4-4.5.20-1m

* Mon Oct 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.3-2m)
- revise %%files to avoid conflicting with python

* Sun Oct 15 2006 TABUCHI Takaaki <tab@momoga-linux.org>
- (1.7.3-1m)
- update to 1.7.3

* Sat Jun 10 2006 TABUCHI Takaaki <tab@momoga-linux.org>
- (1.6.10-5m)
- delete %%dir %%{_libdir}/python?.?/site-packages/, this dir is owned by python

* Mon May 22 2006 Yohsuke Ooi <meke@momoga-linux.org>
- (1.6.10-4m)
- rebuild against python-2.4.2

* Thu May 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.10-3m)
- rebuild against python-2.4.3

* Tue May 16 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.10-2m)
- rebuild against parted-1.6.25.1

* Sat May 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.10-1m)
- update 1.6.10

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.8-3m)
- rebuild against python-2.4.2

* Fri Jul  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.8-2m)
- rebuild against python-2.3.5-1m

* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.8-1m)
  imported from FC development 1.6.8-3

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-3
- rebuild for python 2.4

* Mon Oct 11 2004 Warren Togami <wtogami@redhat.com> - 1.6.8-2
- #135100 req python-abi (Robert Scheck)

* Tue Aug 17 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-1
- update for new parted ABI
  - device -> heads, sectors, cylinders now refer to the bios geometry
- require parted >= 1.6.12

* Thu Jul 22 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-3
- build on ppc64 again

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-1
- fix build for newer versions of gcc (fix from Jeff Law)

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 1.6.6-2
- fix PARTITION_PROTECTED definition (#118451)

* Fri Mar 12 2004 Jeremy Katz <katzj@redhat.com>
- Initial build split out into separate source from the parted package.
- Don't build on ppc64 right now due to parted build problems (#118183)
